<ng-container *ngIf="vm$() as vm">
  <div
    [ngClass]="[jds.row]"
    [style.--jds-gutter-x.px]="20"
  >
    <ng-container *ngIf="vm.listEWalidataFillBusinessFieldMonitor as list">
      <ng-container *ngIf="list.status === 'loading'">
        <ng-container *ngTemplateOutlet="loading" />
      </ng-container>

      <ng-container *ngIf="list.status === 'success'">
        <ng-container *ngIf="list.isFetching">
          <ng-container *ngTemplateOutlet="loading" />
        </ng-container>

        <ng-container *ngIf="!list.isFetching">
          <ng-container *ngIf="list.data.list.length > 0">
            <div
              *ngFor="let row of list.data.list; let i = index"
              [ngClass]="[jds.col(4), jds.mb(16)]"
            >
              <div [ngClass]="[jds.card, jds.h('full')]">
                <div [ngClass]="[jds.cardBody, jds.py(20), jds.px(24)]">
                  <div
                    [ngClass]="[
                      jds.d('flex'),
                      jds.mb(14),
                      jds.alignItems('center'),
                      jds.gap(24)
                    ]"
                  >
                    <div [ngClass]="[jds.fw('bold'), jds.fs(37)]">
                      {{ row.count_diisi_persentase | number : '1.0-1' : 'id' }}
                      <span [ngClass]="jds.fs(28)">%</span>
                    </div>
                    <div
                      [style.width.px]="48"
                      [style.height.px]="48"
                      [ngClass]="
                        jds.circularProgress(
                          row.count_diisi_persentase ?? 0,
                          48,
                          '#1FB767'
                        )
                      "
                    >
                      <div class="pie-wrapper">
                        <div class="pie">
                          <div class="left-side half-circle"></div>
                          <div class="right-side half-circle"></div>
                        </div>
                        <div class="shadow"></div>
                        <progress
                          [value]="row.count_diisi_persentase ?? 0"
                          [style.visibility]="'hidden'"
                          [style.width]="0"
                          [style.height]="0"
                          min="0"
                          max="100"
                        ></progress>
                      </div>
                    </div>
                  </div>

                  <div [ngClass]="[jds.fw('bold'), jds.mb(4)]">
                    {{ row.nama_bidang_urusan }}
                  </div>

                  <div
                    [ngClass]="[
                      jds.text(jdsBiColor.gray['700']),
                      jds.mb(16),
                      jds.fs(14)
                    ]"
                  >
                    {{ row.kode_bidang_urusan }}
                  </div>

                  <div [ngClass]="[jds.me(16)]">
                    <div
                      [ngClass]="[jds.d('flex')]"
                      [style.verticalAlign]="'middle'"
                    >
                      <jds-bi-icon
                        [ngClass]="[
                          jds.me(6),
                          jds.text(jdsBiColor.gray['600'])
                        ]"
                        name="clock-three"
                      />
                      <span
                        [ngClass]="[
                          jds.fs(14),
                          jds.text(jdsBiColor.gray['600'])
                        ]"
                        [style.position]="'relative'"
                        [style.top.px]="0.5"
                        [style.lineHeight.px]="23"
                      >
                        Update terakhir:
                        {{ row.getLastUpdate() }}
                      </span>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </ng-container>

          <ng-container *ngIf="list.data.list.length === 0">
            <ng-container *ngTemplateOutlet="empty" />
          </ng-container>
        </ng-container>
      </ng-container>
    </ng-container>
  </div>
</ng-container>

<ng-template #loading>
  <div
    *ngFor="let i of [0, 1, 2]"
    [ngClass]="[jds.col(4)]"
  >
    <div [ngClass]="[jds.card, jds.h('full')]">
      <div [ngClass]="[jds.cardBody, jds.py(20), jds.px(24)]">
        <ngx-skeleton-loader
          [theme]="{
            width: '80%',
            'border-radius': '0',
            height: '22px',
            'margin-bottom': '0'
          }"
        />
      </div>
    </div>
  </div>
</ng-template>

<ng-template #empty>
  <div [ngClass]="[jds.col(12)]">
    <div [ngClass]="[jds.card, jds.h('full')]">
      <div [ngClass]="[jds.cardBody, jds.py(20), jds.px(24)]">
        Tidak ada data.
      </div>
    </div>
  </div>
</ng-template>
